net.sf.jasperreports.engine

## Interface JRPrintEllipse

- All Superinterfaces:
    JRCommonElement, JRCommonGraphicElement, JRIdentifiable, JRPenContainer, JRPrintElement, JRPrintGraphicElement, JRPropertiesHolder, JRStyleContainer
  All Known Implementing Classes:
    JRBasePrintEllipse, JRTemplatePrintEllipse

      public interface JRPrintEllipse
      extends JRPrintGraphicElement

  Version:
    $Id: JRPrintEllipse.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `UNSET_PRINT_ELEMENT_ID, UNSET_SOURCE_ELEMENT_ID`

  - ### Method Summary

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPrintGraphicElement

      `setFill`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `accept, getHeight, getKey, getOrigin, getPrintElementId, getSourceElementId, getWidth, getX, getY, setHeight, setStyle, setUUID, setWidth, setX, setY`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonGraphicElement

      `getFillValue, getLinePen, getOwnFillValue`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPenContainer

      `getDefaultLineColor, getDefaultLineWidth`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com